%define devname %mklibname -d %{name}
%define libname %mklibname %{name}

Name:		dmalloc
Version:	5.5.2
Release:	%mkrel 2
Summary:	Debugging MALLOC
License:	BSD style
URL:		http://dmalloc.com/
Group:		Development/Other
Source:		http://dmalloc.com/releases/%{name}-%{version}.tgz
Requires:	%{devname} = %{version}

%package -n %{devname}
Summary:	Debugging MALLOC library
Group:		Development/Other
Provides:	dmalloc-devel = %{version}-%{release}
Provides:	libdmalloc-devel = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}
Obsoletes:	dmalloc-devel < %{version}-%{release}
Obsoletes:	libdmalloc-devel < %{version}-%{release}
Obsoletes:	%{libname} < %{version}-%{release}

%description
The debug memory allocation or "dmalloc" library has been designed
as a drop in replacement for the system's `malloc', `realloc',
`calloc', `free' and other memory management routines while providing
powerful debugging facilities configurable at run-time.  These
facilities include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.

%description -n %{devname}
The debug memory allocation or "dmalloc" library has been designed
as a drop in replacement for the system's `malloc', `realloc',
`calloc', `free' and other memory management routines while providing
powerful debugging facilities configurable at run-time.  These
facilities include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.

%prep
%setup -q
chmod -R o+rX .

%build
export CFLAGS=`echo %optflags | sed 's/-O2/-O0/'`

# testing program will segfault when building with -fPIC flag, so
# don't build shared library at all. Anyway this is for developers,
# so building static library is enough.
%configure2_5x --enable-threads

# test this puppy
# Segfaults with 'make heavy'
#make heavy
make

%install
%makeinstall

%files
%doc ChangeLog.1 INSTALL NEWS README RELEASE.html docs/NOTES docs/TODO docs/*.html
%{_bindir}/*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.a


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 5.5.2-2.mga3
+ Revision: 348841
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 barjac <barjac> 5.5.2-1.mga3
+ Revision: 321142
- spec cleaned
- used make instead of make heavy to fix segfault in build
- switched libname/devname  macros - less confusing
- Import from Mandriva

